#!/bin/sh
#
# uncia - a big cat
# Copyright (C) 2010 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="read and decode base85"
. test_prelude

cat > test.in << 'fubar'
Hello,
World!
fubar
test $? -eq 0 || no_result

uncia test.in -o -base85 test.middle
test $? -eq 0 || no_result

uncia test.middle -base85 -o test.out
test $? -eq 0 || fail

diff test.in test.out
test $? -eq 0 || fail

#
# The things tested here, worked.
# No other guarantees are made.
#
pass

# vim:ts=8:sw=4:et
